Resume from suspend fails on Compaq CQ61

Bug #675076 reported by Ryan Fugger on 2010-11-14
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: gnome-power-manager

Suspend seems to work, but resume hangs with a blank screen, wireless indicator light indicating that the wireless is disabled, and apparently the cpu working hard, since the fan begins to work harder and harder blowing hot air out of the case.

After shutting down by holding the power key, the system hangs on boot unless the battery and power supply are removed for five seconds before booting.

Tried the resume debugging procedure here:

https://wiki.ubuntu.com/DebuggingKernelSuspend

With no "hash matches" in dmesg. The system clock is correct after rebooting, so something's not right. Maybe removing the battery and power supply clears the data stored in the RTC...?

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: gnome-power-manager 2.32.0-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
Architecture: amd64
Date: Sat Nov 13 17:55:12 2010
GnomeSessionIdleInhibited: No
GnomeSessionInhibitors: None
GnomeSessionSuspendInhibited: No
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Hewlett-Packard Presario CQ61 Notebook PC
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=04a9eaa6-92a7-431c-95e6-93402dd3c138 ro quiet splash
ProcEnviron:
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-power-manager
dmi.bios.date: 05/17/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.15
dmi.board.name: 363F
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 42.15
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.15:bd05/17/2010:svnHewlett-Packard:pnPresarioCQ61NotebookPC:pvr0491110000200D10000020000:rvnHewlett-Packard:rn363F:rvr42.15:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: Presario CQ61 Notebook PC
dmi.product.version: 0491110000200D10000020000
dmi.sys.vendor: Hewlett-Packard

Ryan Fugger (rfugger) wrote :
Ryan Fugger (rfugger) wrote :

Oh, I tried putting this in a file at /etc/pm/config.d/suspend:

SUSPEND_MODULES="ath9k"

on the suspicion that the wireless driver was causing the problem. Didn't help, although the last item in the kernel log was the ath9k module being unloaded.

Ryan Fugger (rfugger) wrote :

Also tried with the ATI proprietary video driver, no luck.

Ryan Fugger (rfugger) wrote :

Tried uswsusp and tuxonice, no success. Tried the following parameters with pm-suspend, alone and in various combinations, with kernel, uswsusp, and tuxonice sleep modules:

--quirk-vbe-post
--quirk-vbemode-restore
--quirk-vbestate-restore
--quirk-s3-bios
--quirk-s3-mode
--quirk-vga-mode-3
--quirk-save-pci

No success.

Discovered that hibernate works fine though (with SUSPEND_MODULES="ath9k" to make wireless work on thaw), so I'll use that instead.

Victor Vargas (kamus) wrote :

this is not a gnome-power-manager issue so I have reassigned to linux kernel package

affects: gnome-power-manager (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
Jeremy Foshee (jeremyfoshee) wrote :

Hi rfugger,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kernel-suspend
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Ryan Fugger (rfugger) wrote :

I tried the most recent seeming mainline kernel image I could find, which was v2.6.37-rc3-natty. (If I should try a non-rc image, or a maverick-specific image rather than natty, please let me know which one to try and I will give it a go).

The results were bad. With the newer kernel, the machine won't even suspend, getting hung up on the following step (from pm-suspend.log):

/usr/lib/pm-utils/sleep.d/70action_wpa suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/75modules suspend suspend:
Unloading kernel module ath9k..

This is the tail of /var/log/messages at the time:

Dec 1 20:28:07 rabbit kernel: [ 69.516735] cfg80211: Calling CRDA to update world regulatory domain
Dec 1 20:28:07 rabbit kernel: [ 69.520498] cfg80211: World regulatory domain updated:
Dec 1 20:28:07 rabbit kernel: [ 69.520502] (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Dec 1 20:28:07 rabbit kernel: [ 69.520505] (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec 1 20:28:07 rabbit kernel: [ 69.520507] (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Dec 1 20:28:07 rabbit kernel: [ 69.520510] (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Dec 1 20:28:07 rabbit kernel: [ 69.520512] (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec 1 20:28:07 rabbit kernel: [ 69.520514] (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

The computer is still mostly functional and alive, but the suspend fails half-completed and appears to abort. I might be able to run the resume script to bring it back to normal, but I just reboot.

I have similar behaviour on the current kernel (now 2.6.35-23) when hibernating, but instead of aborting, the process is just delayed a minute or so at similar points in the log messages, and then completes successfully.

tags: removed: needs-upstream-testing
Ryan Fugger (rfugger) wrote :

Still fails to resume on kernel 2.6.35-24.

Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) on 2011-05-04
Changed in linux (Ubuntu):
status: New → Confirmed
Ryan Fugger (rfugger) wrote :

Still not working in 11.10...

Ryan Fugger, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please provide the information following https://wiki.ubuntu.com/DebuggingKernelSuspend ? As well, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

tags: added: needs-upstream-testing
tags: added: oneiric
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (3.7 KiB)

I no longer have this machine, so I can't test it, but I can confirm
it is the same behaviour I see with my Asus 1215b, as reported in the
following bugs:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/992318
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1006918
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1007693
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/856711
https://bugs.launchpad.net/linuxmint/+bug/1028858

and in this discussion:

http://ubuntuforums.org/showthread.php?t=1791456

You have to understand that the procedure outlined here:

https://wiki.ubuntu.com/DebuggingKernelSuspend

doesn't work for debugging this bug, because you have to do a hard
reset (remove all power and battery) before the system will reboot
after attempting to resume. I've tried to explain this, but every few
months the bugs get closed as incomplete because I can't follow the
"proper debugging procedure". I've given up and moved to straight
Debian on a different machine. Good luck!

On Wed, Jul 25, 2012 at 2:44 PM, Christopher M. Penalver
<email address hidden> wrote:
> Ryan Fugger, this bug was reported a while ago and there hasn't been any
> activity in it recently. We were wondering if this is still an issue? If
> so, could you please provide the information following
> https://wiki.ubuntu.com/DebuggingKernelSuspend ? As well, can you try
> with the latest development release of Ubuntu? ISO CD images are
> available from http://cdimage.ubuntu.com/releases/ .
>
> If it remains an issue, could you run the following command in the
> development release from a Terminal
> (Applications->Accessories->Terminal). It will automatically gather and
> attach updated debug information to this report.
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, if you could test the latest upstream kernel available that would
> be great. It will allow additional upstream developers to examine the
> issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do
> not test the kernel in the daily folder, but the one all the way at the
> bottom. Once you've tested the upstream kernel, please remove the
> 'needs-upstream-testing' tag. This can be done by clicking on the yellow
> pencil icon next to the tag located at the bottom of the bug description
> and deleting the 'needs-upstream-testing' text. As well, please comment
> on which kernel version specifically you tested.
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> If you are unable to test the mainline kernel, for example it will not
> boot, please add the tag: 'kernel-unable-to-test-upstream', and comment
> as to why specifically you were unable to test it.
>
> Please let us know your results. Thanks in advance.
>
> Helpful Bug Reporting Links:
> https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette
> https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
> https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_a...

Read more...

Ryan Fugger, this bug report is being closed due to your last comment regarding how you no longer have the hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Philip Smith (psmithseller) wrote :

This affects me as well. I have a Lenovo V570. I just cropped up a week or two ago, but suspend/resume worked fine for me beforehand without hiccup. I noted a bit of ACPI fussiness in syslog (see attached). I'm tempted to enable hibernation and forget about it, but I'm willing to help in whatever way I can to fix this issue, just point me in the right direction.

Philip Smith (psmithseller) wrote :

Sorry for omitting, but I'm running Ubuntu 12.10 and have tried with the 3.5.0-26-generic kernel and an upstream kernel linux-image-3.8.0-030800rc7-generic. I'm working right now, but if you need any other information from me, let me know. I'm going to hold on to this hardware for a while :)

Philip Smith, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers